Subject: Re: git log -g bizarre behaviour

From: Junio C Hamano <[email-masked]>
Date: Tue, 02 Feb 2016 12:42:20 -0800

Dennis Kaarsemaker <[email-masked]> writes:

>> > $ git (log -g|reflog) v2.7.0
>> > From the bizarre behaviour above to a silent noop.
>
> As I demonstrated in the text that you cut: that is not true.
> git log -g v2.7.0 and git reflog v2.7.0 are *not* silent, but buggy. I
> would like to make them silent.

Ah, sorry, I totally misread your "bizarre".  Yes, "log -g" that
walks the history not the reflog is "bizarre" and wrong, which we
already agreed in the previous exchange.  A fixed behaviour that
walks only the reflog entries should become a "silent noop".